/**
 * @file
 * Attaches behavior for the Filter module.
 */

(function ($) {

Drupal.behaviors.filterGuidelines = {
  attach: function attach(context) {
    function updateFilterGuidelines(event) {
      var $this = $(event.target);
      var value = $this.val();
      $this.closest('.js-filter-wrapper').find('[data-drupal-format-id]').hide().filter('[data-drupal-format-id="' + value + '"]').show();
    }

    $(context).find('.js-filter-guidelines').once('filter-guidelines').find(':header').hide().closest('.js-filter-wrapper').find('select.js-filter-list').on('change.filterGuidelines', updateFilterGuidelines).trigger('change.filterGuidelines');
  }
};

})(jQuery);
