<?php

/**
 * @file
 * AJAX commands.
 */

/**
 * Creates a Drupal Ajax 'CKEditor add style sheet' command.
 *
 * @param string $editor_id
 *   The CKEditor instance ID.
 * @param array $stylesheets
 *   The style sheet URLs to add to the CKEditor instance.
 *
 * @return array
 *   An array suitable for use with the ajax_render() function.
 */
function editor_ckeditor_command_add_style_sheet($editor_id, array $stylesheets = array()) {
  return array(
    'command' => 'editorCKEditorAddStyleSheet',
    'editor_id' => $editor_id,
    'stylesheets' => $stylesheets,
  );
}
