(function ($, Drupal) {

  'use strict';

  /**
   * Provides the summary for the "stylescombo" plugin settings vertical tab.
   */
  Drupal.behaviors.ckeditorStylesComboSettingsSummary = {
    attach: function () {
      $('#edit-editor-settings-plugins-stylescombo').drupalSetSummary(function (context) {
        var styles = $.trim($('#edit-editor-settings-plugins-stylescombo-styles').val());
        if (styles.length === 0) {
          return Drupal.t('No styles configured');
        }

        var count = $.trim(styles).split('\n').length;
        return Drupal.t('@count styles configured', { '@count': count });
      });
    }
  };

})(jQuery, Drupal);
