<?php

/**
 * @file
 * Defines the "drupalimagecaption" plugin.
 */

/**
 * Config callback for the 'drupalimagecaption' plugin.
 *
 * @param object $format
 *  A text format object.
 *
 * @return array
 *   An associative array of configuration settings.
 */
function editor_ckeditor_drupalimagecaption_config($format) {
  return array(
    'image2_captionedClass' => 'caption caption-img',
    'image2_alignClasses' => array('align-left', 'align-center', 'align-right'),
    'drupalImageCaption_captionPlaceholderText' => t('Enter caption text here.'),
    // Only enable those parts of DrupalImageCaption for which the
    // corresponding Drupal text filters are enabled.
    'drupalImageCaption_captionFilterEnabled' => $format->filters['editor_caption']['status'],
    'drupalImageCaption_alignFilterEnabled' => $format->filters['editor_align']['status'],
  );
}

/**
 * Enabled callback for the 'drupalimagecaption' plugin.
 *
 * @param object $format
 *   A text format object.
 *
 * @return bool
 *   TRUE if the plugin is enabled, FALSE otherwise.
 */
function editor_ckeditor_image_caption_plugin_check($format) {
  $filters = filter_list_format($format->format);

  // Automatically enable this plugin if the text format associated with this
  // text editor uses the editor_align or editor_caption filter and the
  // DrupalImage button is enabled.
  foreach ($filters as $name => $filter) {
    if (in_array($name, array('editor_align', 'editor_caption')) && $filter->status) {
      $enabled = FALSE;
      foreach ($format->editor_settings['toolbar'] as $row) {
        foreach ($row as $button_group) {
          if (in_array('DrupalImage', $button_group['items'])) {
            $enabled = TRUE;
          }
        }
      }
      return $enabled;
    }
  }

  return FALSE;
}
