<?php

/**
 * @file
 * Defines the "stylescombo" plugin.
 */

/**
 * Config for the "stylescombo" CKEditor plugin.
 *
 * @param object $format
 *  A text format object.
 *
 * @return array
 *   An associative array of configuration settings.
 */
function editor_ckeditor_stylescombo_config($format) {
  $config = array();
  $settings = $format->editor_settings;

  if (!isset($settings['plugins']['stylescombo']['styles'])) {
    return $config;
  }

  $styles = $settings['plugins']['stylescombo']['styles'];
  $config['stylesSet'] = editor_ckeditor_stylescombo_generate_styles_set_setting($styles);

  return $config;
}

/**
 * Settings form for the "stylescombo" CKEditor plugin.
 */
function editor_ckeditor_stylescombo_settings_form($form, &$form_state, $format) {
  // Defaults.
  $config = array('styles' => '');
  $settings = $format->editor_settings;
  if (isset($settings['plugins']['stylescombo'])) {
    $config = $settings['plugins']['stylescombo'];
  }

  $form['styles'] = array(
    '#title' => t('Styles'),
    '#title_display' => 'invisible',
    '#type' => 'textarea',
    '#default_value' => $config['styles'],
    '#description' => t('A list of classes that will be provided in the "Styles" dropdown. Enter one or more classes on each line in the format: element.classA.classB|Label. Example: h1.title|Title. Advanced example: h1.fancy.title|Fancy title.<br />These styles should be available in your theme\'s CSS file.'),
    '#attached' => array(
      'library' => array(array('editor_ckeditor', 'editor_ckeditor.stylescombo.admin')),
    ),
    '#element_validate' => array('editor_ckeditor_stylescombo_allowed_styles_value'),
  );

  return $form;
}
